package com.simuwang.manage.api.system;

import com.simuwang.base.common.result.AjaxResult;
import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dos.SysConfigDO;
import com.simuwang.base.pojo.dto.query.ConfigPageQuery;
import com.simuwang.base.pojo.dto.sys.MenuQuery;
import com.simuwang.base.pojo.vo.SysConfigVO;
import com.simuwang.base.pojo.vo.sys.SysMenuVO;
import com.simuwang.logging.SystemLog;
import com.simuwang.manage.service.system.SysConfigService;
import com.smppw.common.pojo.ResultVo;
import com.smppw.common.pojo.enums.status.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 参数配置 信息操作处理
 *
 * @author ruoyi
 */
@SystemLog(value = "参数配置管理")
@Controller
@RequestMapping("/v1/system/config")
public class SysConfigController
{
    @Autowired
    private SysConfigService configService;

    @SystemLog("查询参数配置列表")
    @GetMapping("/search-config-list")
    public MybatisPage<SysConfigVO> searchConfigList(ConfigPageQuery query) {
        return configService.searchConfigList(query);
    }

}
