package com.simuwang.manage.service.impl.system;

import com.simuwang.base.common.conts.UserConstants;
import com.simuwang.base.common.exception.ServiceException;
import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.common.text.Convert;
import com.simuwang.base.common.util.StringUtil;
import com.simuwang.base.mapper.system.SysConfigMapper;
import com.simuwang.base.pojo.dos.SysConfigDO;
import com.simuwang.base.pojo.dto.query.ConfigPageQuery;
import com.simuwang.base.pojo.vo.SysConfigVO;
import com.simuwang.manage.service.system.SysConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * FileName: SysConfigServiceImpl
 * Author:   chenjianhua
 * Date:     2024/9/8 11:01
 * Description: ${DESCRIPTION}
 */
@Service
public class SysConfigServiceImpl implements SysConfigService {
    @Autowired
    private SysConfigMapper sysConfigMapper;

    @Override
    public boolean checkConfigKeyUnique(SysConfigVO config) {
        Long configId = StringUtil.isNull(config.getConfigId()) ? -1L : config.getConfigId();
        SysConfigDO info = sysConfigMapper.checkConfigKeyUnique(config.getConfigKey());
        if (StringUtil.isNotNull(info) && info.getConfigId().longValue() != configId.longValue())
        {
            return UserConstants.NOT_UNIQUE;
        }
        return UserConstants.UNIQUE;
    }

    @Override
    public MybatisPage<SysConfigVO> searchConfigList(ConfigPageQuery query) {
        List<SysConfigDO> sysConfigDOList = sysConfigMapper.selectConfigList(query);
        List<SysConfigVO> sysConfigVOList = sysConfigDOList.stream().map(SysConfigDO::toVO).collect(Collectors.toList());
        long total = sysConfigMapper.countConfigList(query);
        return MybatisPage.of(total,sysConfigVOList);
    }

}
